For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
  • Deprecated
      • GETList Connectors
      • POSTCreate a Connector
      • GETGet a Connector
      • PATCHUpdate a Connector
      • DELDelete a Connector
      • POSTAuthorize with oAuth
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Deprecatedv1/connectors

Update a Connector

Deprecated
PATCH
https://api.cohere.com/v1/connectors/:id
PATCH
/v1/connectors/:id
1import cohere
2
3co = cohere.Client()
4response = co.connectors.update(
5 connector_id="test-id", name="new name", url="https://example.com/search"
6)
7print(response)
1{
2 "connector": {
3 "id": "salesforce-integration-01",
4 "name": "Salesforce CRM Connector",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "organization_id": "org_9f8e7d6c5b4a3",
8 "description": "Connector to integrate Salesforce CRM data for enhanced chat responses.",
9 "url": "https://api.salesforce.com/v1/search",
10 "excludes": [
11 "internal_notes"
12 ],
13 "auth_type": "oauth",
14 "oauth": {
15 "client_id": "sf-client-1234567890",
16 "client_secret": "encrypted-secret-value",
17 "authorize_url": "https://login.salesforce.com/services/oauth2/authorize",
18 "token_url": "https://login.salesforce.com/services/oauth2/token",
19 "scope": "api refresh_token"
20 },
21 "auth_status": "valid",
22 "active": true,
23 "continue_on_failure": true
24 }
25}
Update a connector by ID. Omitted fields will not be updated. See ['Managing your Connector'](https://docs.cohere.com/docs/managing-your-connector) for more information.
Was this page helpful?
Previous

Delete a Connector

Next
Built with

Update a connector by ID. Omitted fields will not be updated. See ‘Managing your Connector’ for more information.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the connector to update.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Request

This endpoint expects an object.
namestringOptional

A human-readable name for the connector.

urlstringOptional
The URL of the connector that will be used to search for documents.
excludeslist of stringsOptional

A list of fields to exclude from the prompt (fields remain in the document).

oauthobjectOptional

The OAuth 2.0 configuration for the connector. Cannot be specified if service_auth is specified.

activebooleanOptionalDefaults to true
continue_on_failurebooleanOptionalDefaults to false
service_authobjectOptional
The service to service authentication configuration for the connector. Cannot be specified if oauth is specified.

Response

OK
connectorobject

A connector allows you to integrate data sources with the ‘/chat’ endpoint to create grounded generations with citations to the data source. documents to help answer users.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error